# Generated by Django 4.2.8 on 2023-12-09 20:13

from decimal import Decimal

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("bpp", "0342_remove_dyscyplina_naukowa_pbn_uid"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="typ_kbn",
            options={
                "ordering": ["nazwa"],
                "verbose_name": "typ MNiSW/MEiN",
                "verbose_name_plural": "typy KBN",
            },
        ),
        migrations.AlterField(
            model_name="patent",
            name="kc_punkty_kbn",
            field=models.DecimalField(
                blank=True,
                db_index=True,
                decimal_places=2,
                default=None,
                help_text="Jeżeli wpiszesz\n        wartość w to pole, to zostanie ona użyta w raporcie dla Komisji\n        Centralnej w punkcie IXa i IXb tego raportu.",
                max_digits=6,
                null=True,
                verbose_name="KC: punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="patent",
            name="punkty_kbn",
            field=models.DecimalField(
                db_index=True,
                decimal_places=2,
                default=Decimal("0.00"),
                max_digits=6,
                verbose_name="punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="praca_doktorska",
            name="kc_punkty_kbn",
            field=models.DecimalField(
                blank=True,
                db_index=True,
                decimal_places=2,
                default=None,
                help_text="Jeżeli wpiszesz\n        wartość w to pole, to zostanie ona użyta w raporcie dla Komisji\n        Centralnej w punkcie IXa i IXb tego raportu.",
                max_digits=6,
                null=True,
                verbose_name="KC: punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="praca_doktorska",
            name="punkty_kbn",
            field=models.DecimalField(
                db_index=True,
                decimal_places=2,
                default=Decimal("0.00"),
                max_digits=6,
                verbose_name="punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="praca_doktorska",
            name="typ_kbn",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="bpp.typ_kbn",
                verbose_name="typ MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="praca_habilitacyjna",
            name="kc_punkty_kbn",
            field=models.DecimalField(
                blank=True,
                db_index=True,
                decimal_places=2,
                default=None,
                help_text="Jeżeli wpiszesz\n        wartość w to pole, to zostanie ona użyta w raporcie dla Komisji\n        Centralnej w punkcie IXa i IXb tego raportu.",
                max_digits=6,
                null=True,
                verbose_name="KC: punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="praca_habilitacyjna",
            name="punkty_kbn",
            field=models.DecimalField(
                db_index=True,
                decimal_places=2,
                default=Decimal("0.00"),
                max_digits=6,
                verbose_name="punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="praca_habilitacyjna",
            name="typ_kbn",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="bpp.typ_kbn",
                verbose_name="typ MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="punktacja_zrodla",
            name="kc_punkty_kbn",
            field=models.DecimalField(
                blank=True,
                db_index=True,
                decimal_places=2,
                default=None,
                help_text="Jeżeli wpiszesz\n        wartość w to pole, to zostanie ona użyta w raporcie dla Komisji\n        Centralnej w punkcie IXa i IXb tego raportu.",
                max_digits=6,
                null=True,
                verbose_name="KC: punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="punktacja_zrodla",
            name="punkty_kbn",
            field=models.DecimalField(
                db_index=True,
                decimal_places=2,
                default=Decimal("0.00"),
                max_digits=6,
                verbose_name="punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="typ_kbn",
            name="artykul_pbn",
            field=models.BooleanField(
                default=False,
                help_text="Wydawnictwa ciągłe posiadające\n    ten typ MNiSW/MEiN zostaną włączone do eksportu PBN jako artykuły",
                verbose_name="Artykuł w PBN",
            ),
        ),
        migrations.AlterField(
            model_name="wydawnictwo_ciagle",
            name="kc_punkty_kbn",
            field=models.DecimalField(
                blank=True,
                db_index=True,
                decimal_places=2,
                default=None,
                help_text="Jeżeli wpiszesz\n        wartość w to pole, to zostanie ona użyta w raporcie dla Komisji\n        Centralnej w punkcie IXa i IXb tego raportu.",
                max_digits=6,
                null=True,
                verbose_name="KC: punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="wydawnictwo_ciagle",
            name="punkty_kbn",
            field=models.DecimalField(
                db_index=True,
                decimal_places=2,
                default=Decimal("0.00"),
                max_digits=6,
                verbose_name="punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="wydawnictwo_ciagle",
            name="typ_kbn",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="bpp.typ_kbn",
                verbose_name="typ MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="wydawnictwo_zwarte",
            name="kc_punkty_kbn",
            field=models.DecimalField(
                blank=True,
                db_index=True,
                decimal_places=2,
                default=None,
                help_text="Jeżeli wpiszesz\n        wartość w to pole, to zostanie ona użyta w raporcie dla Komisji\n        Centralnej w punkcie IXa i IXb tego raportu.",
                max_digits=6,
                null=True,
                verbose_name="KC: punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="wydawnictwo_zwarte",
            name="punkty_kbn",
            field=models.DecimalField(
                db_index=True,
                decimal_places=2,
                default=Decimal("0.00"),
                max_digits=6,
                verbose_name="punkty MNiSW/MEiN",
            ),
        ),
        migrations.AlterField(
            model_name="wydawnictwo_zwarte",
            name="typ_kbn",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="bpp.typ_kbn",
                verbose_name="typ MNiSW/MEiN",
            ),
        ),
    ]
